<?php


return  
    [
        'model' => [
            'model' => \Litecms\Pep\Models\Pep::class,
            'table' => 'litecms_pep_peps',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['buyers',  'sellers',  'seller_source',  'buyer_source',  'category_id',  'country_id',  'state_id',  'location_id',  'sublocation_id',  'property_id',  'ref',  'type',  'property_type',  'developer_id',  'bua',  'plot',  'status',  'price',  'baths',  'plot_area',  'frequency',  'furnished',  'cheques',  'instalments',  'maintenance_fee',  'next_available',  'rent_start_date',  'rent_end_date',  'rera',  'payment_mode',  'deposit',  'deposit_percent',  'deal_date',  'unit_no',  'beds',  'street',  'floor',  'property_usage',  'notes',  'notifications',  'approved_id',  'approved_date',  'rejected_id',  'rejected_description',  'aml_id',  'aml_notes',  'aml_required',  'aml_ids',  'aml_date',  'aml_score',  'from_pool',  'client_id',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'pep/pep',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "buyers", 
                "type" => "text", 
                "label" => 'pep::pep.label.buyers', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sellers", 
                "type" => "text", 
                "label" => 'pep::pep.label.sellers', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "seller_source", 
                "type" => "text", 
                "label" => 'pep::pep.label.seller_source', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "buyer_source", 
                "type" => "text", 
                "label" => 'pep::pep.label.buyer_source', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "category_id", 
                "type" => "text", 
                "label" => 'pep::pep.label.category_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "country_id", 
                "type" => "text", 
                "label" => 'pep::pep.label.country_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "state_id", 
                "type" => "text", 
                "label" => 'pep::pep.label.state_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "location_id", 
                "type" => "text", 
                "label" => 'pep::pep.label.location_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sublocation_id", 
                "type" => "text", 
                "label" => 'pep::pep.label.sublocation_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_id", 
                "type" => "text", 
                "label" => 'pep::pep.label.property_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'pep::pep.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'pep::pep.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_type", 
                "type" => "text", 
                "label" => 'pep::pep.label.property_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "developer_id", 
                "type" => "text", 
                "label" => 'pep::pep.label.developer_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "bua", 
                "type" => "text", 
                "label" => 'pep::pep.label.bua', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "plot", 
                "type" => "text", 
                "label" => 'pep::pep.label.plot', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "price", 
                "type" => "text", 
                "label" => 'pep::pep.label.price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "baths", 
                "type" => "text", 
                "label" => 'pep::pep.label.baths', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "plot_area", 
                "type" => "text", 
                "label" => 'pep::pep.label.plot_area', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "frequency", 
                "type" => "text", 
                "label" => 'pep::pep.label.frequency', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "furnished", 
                "type" => "text", 
                "label" => 'pep::pep.label.furnished', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cheques", 
                "type" => "text", 
                "label" => 'pep::pep.label.cheques', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "instalments", 
                "type" => "text", 
                "label" => 'pep::pep.label.instalments', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "maintenance_fee", 
                "type" => "text", 
                "label" => 'pep::pep.label.maintenance_fee', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "next_available", 
                "type" => "text", 
                "label" => 'pep::pep.label.next_available', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rent_start_date", 
                "type" => "text", 
                "label" => 'pep::pep.label.rent_start_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rent_end_date", 
                "type" => "text", 
                "label" => 'pep::pep.label.rent_end_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rera", 
                "type" => "text", 
                "label" => 'pep::pep.label.rera', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "payment_mode", 
                "type" => "text", 
                "label" => 'pep::pep.label.payment_mode', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "deposit", 
                "type" => "text", 
                "label" => 'pep::pep.label.deposit', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "deposit_percent", 
                "type" => "text", 
                "label" => 'pep::pep.label.deposit_percent', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "deal_date", 
                "type" => "text", 
                "label" => 'pep::pep.label.deal_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "unit_no", 
                "type" => "text", 
                "label" => 'pep::pep.label.unit_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "beds", 
                "type" => "text", 
                "label" => 'pep::pep.label.beds', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "street", 
                "type" => "text", 
                "label" => 'pep::pep.label.street', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "floor", 
                "type" => "text", 
                "label" => 'pep::pep.label.floor', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_usage", 
                "type" => "text", 
                "label" => 'pep::pep.label.property_usage', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "notes", 
                "type" => "text", 
                "label" => 'pep::pep.label.notes', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "notifications", 
                "type" => "text", 
                "label" => 'pep::pep.label.notifications', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "approved_id", 
                "type" => "text", 
                "label" => 'pep::pep.label.approved_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "approved_date", 
                "type" => "text", 
                "label" => 'pep::pep.label.approved_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rejected_id", 
                "type" => "text", 
                "label" => 'pep::pep.label.rejected_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rejected_description", 
                "type" => "text", 
                "label" => 'pep::pep.label.rejected_description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "aml_id", 
                "type" => "text", 
                "label" => 'pep::pep.label.aml_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "aml_notes", 
                "type" => "text", 
                "label" => 'pep::pep.label.aml_notes', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "aml_required", 
                "type" => "text", 
                "label" => 'pep::pep.label.aml_required', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "aml_date", 
                "type" => "text", 
                "label" => 'pep::pep.label.aml_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "aml_score", 
                "type" => "text", 
                "label" => 'pep::pep.label.aml_score', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "from_pool", 
                "type" => "text", 
                "label" => 'pep::pep.label.from_pool', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "client_id", 
                "type" => "text", 
                "label" => 'pep::pep.label.client_id', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'buyers',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.buyers',
                "placeholder" => 'pep::pep.placeholder.buyers',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sellers',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.sellers',
                "placeholder" => 'pep::pep.placeholder.sellers',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'seller_source',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.seller_source',
                "placeholder" => 'pep::pep.placeholder.seller_source',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'buyer_source',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.buyer_source',
                "placeholder" => 'pep::pep.placeholder.buyer_source',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'category_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'pep::pep.label.category_id',
                "placeholder" => 'pep::pep.placeholder.category_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'country_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'pep::pep.label.country_id',
                "placeholder" => 'pep::pep.placeholder.country_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'state_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'pep::pep.label.state_id',
                "placeholder" => 'pep::pep.placeholder.state_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'location_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'pep::pep.label.location_id',
                "placeholder" => 'pep::pep.placeholder.location_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sublocation_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'pep::pep.label.sublocation_id',
                "placeholder" => 'pep::pep.placeholder.sublocation_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'pep::pep.label.property_id',
                "placeholder" => 'pep::pep.placeholder.property_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.ref',
                "placeholder" => 'pep::pep.placeholder.ref',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.type',
                "placeholder" => 'pep::pep.placeholder.type',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.property_type',
                "placeholder" => 'pep::pep.placeholder.property_type',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'developer_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'pep::pep.label.developer_id',
                "placeholder" => 'pep::pep.placeholder.developer_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'bua',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'pep::pep.label.bua',
                "placeholder" => 'pep::pep.placeholder.bua',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'plot',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.plot',
                "placeholder" => 'pep::pep.placeholder.plot',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'price',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'pep::pep.label.price',
                "placeholder" => 'pep::pep.placeholder.price',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'baths',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.baths',
                "placeholder" => 'pep::pep.placeholder.baths',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'plot_area',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.plot_area',
                "placeholder" => 'pep::pep.placeholder.plot_area',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'frequency',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.frequency',
                "placeholder" => 'pep::pep.placeholder.frequency',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'furnished',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.furnished',
                "placeholder" => 'pep::pep.placeholder.furnished',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cheques',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.cheques',
                "placeholder" => 'pep::pep.placeholder.cheques',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'instalments',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'pep::pep.label.instalments',
                "placeholder" => 'pep::pep.placeholder.instalments',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'maintenance_fee',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.maintenance_fee',
                "placeholder" => 'pep::pep.placeholder.maintenance_fee',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'next_available',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.next_available',
                "placeholder" => 'pep::pep.placeholder.next_available',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rent_start_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'pep::pep.label.rent_start_date',
                "placeholder" => 'pep::pep.placeholder.rent_start_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rent_end_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'pep::pep.label.rent_end_date',
                "placeholder" => 'pep::pep.placeholder.rent_end_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rera',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.rera',
                "placeholder" => 'pep::pep.placeholder.rera',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'payment_mode',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.payment_mode',
                "placeholder" => 'pep::pep.placeholder.payment_mode',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'deposit',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'pep::pep.label.deposit',
                "placeholder" => 'pep::pep.placeholder.deposit',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'deposit_percent',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'pep::pep.label.deposit_percent',
                "placeholder" => 'pep::pep.placeholder.deposit_percent',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'deal_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'pep::pep.label.deal_date',
                "placeholder" => 'pep::pep.placeholder.deal_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'unit_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.unit_no',
                "placeholder" => 'pep::pep.placeholder.unit_no',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'beds',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.beds',
                "placeholder" => 'pep::pep.placeholder.beds',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'street',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.street',
                "placeholder" => 'pep::pep.placeholder.street',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'floor',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.floor',
                "placeholder" => 'pep::pep.placeholder.floor',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_usage',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'pep::pep.label.property_usage',
                "placeholder" => 'pep::pep.placeholder.property_usage',
                "rules" => '',
                "options" => function(){
                    return trans('pep::pep.options.property_usage');
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'notes',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.notes',
                "placeholder" => 'pep::pep.placeholder.notes',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'notifications',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.notifications',
                "placeholder" => 'pep::pep.placeholder.notifications',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'approved_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'pep::pep.label.approved_id',
                "placeholder" => 'pep::pep.placeholder.approved_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'approved_date',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'pep::pep.label.approved_date',
                "placeholder" => 'pep::pep.placeholder.approved_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rejected_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'pep::pep.label.rejected_id',
                "placeholder" => 'pep::pep.placeholder.rejected_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rejected_description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.rejected_description',
                "placeholder" => 'pep::pep.placeholder.rejected_description',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'aml_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'pep::pep.label.aml_id',
                "placeholder" => 'pep::pep.placeholder.aml_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'aml_notes',
                "element" => 'text',
                "type" => 'text',
                "label" => 'pep::pep.label.aml_notes',
                "placeholder" => 'pep::pep.placeholder.aml_notes',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'aml_required',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'pep::pep.label.aml_required',
                "placeholder" => 'pep::pep.placeholder.aml_required',
                "rules" => '',
                "options" => function(){
                    return trans('pep::pep.options.aml_required');
                },
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'aml_ids',
                "element" => 'textarea',
                "type" => 'textarea',
                "label" => 'pep::pep.label.aml_ids',
                "placeholder" => 'pep::pep.placeholder.aml_ids',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'aml_date',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'pep::pep.label.aml_date',
                "placeholder" => 'pep::pep.placeholder.aml_date',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'aml_score',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'pep::pep.label.aml_score',
                "placeholder" => 'pep::pep.placeholder.aml_score',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'from_pool',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'pep::pep.label.from_pool',
                "placeholder" => 'pep::pep.placeholder.from_pool',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'client_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'pep::pep.label.client_id',
                "placeholder" => 'pep::pep.placeholder.client_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'pep/pep/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'pep/pep/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'pep/pep',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'pep/pep',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'pep/pep',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'pep/pep',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'pep::pep.label.created_at',
            'name' => 'pep::pep.label.name',
            'status' => 'pep::pep.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "pep::pep.groups.main",
                'key' => "main",
                'title' => "pep::pep.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "pep::pep.groups.details",
                'key' => "documents",
                'title' => "pep::pep.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "pep::pep.groups.images",
                'key' => "documents",
                'title' => "pep::pep.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "pep::pep.groups.settings",
                'key' => "documents",
                'title' => "pep::pep.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Pep',
            'module' => 'Pep',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Litecms\Pep\Models\Pep::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'count' => [
                                "element" => 'select',
                                "type" => 'select',
                                "label" => 'pep::pep.label.count',
                                "placeholder" => 'pep::pep.placeholder.count',
                                "options" => call_user_func(function () {
                                    return [
                                        1 => ['value' => 1, 'text' => 1],
                                        2 => ['value' => 2, 'text' => 2],
                                        3 => ['value' => 3, 'text' => 3],
                                        4 => ['value' => 4, 'text' => 4]
                                    ];
                                }),
                                "col" => "12",
                            ],
                            'comment' => [
                                "element" => 'textarea',
                                "type" => 'text',
                                "required" => 'required',
                                "label" => 'pep::pep.label.comment',
                                "placeholder" => 'pep::pep.placeholder.comment',
                                "col" => "12",
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'pep::pep.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['pep.pep.copy', 'pep.pep.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'pep::pep.label.count',
                        "placeholder" => 'pep::pep.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'pep::pep.label.comment',
                        "placeholder" => 'pep::pep.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'pep::pep.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
        ]
        
    ];
