<?php

namespace Litecms\Pep\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class PepTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_pep_peps')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.pep.pep.view',
                'name'      => 'View Pep',
            ],
            [
                'slug'      => 'litecms.pep.pep.create',
                'name'      => 'Create Pep',
            ],
            [
                'slug'      => 'litecms.pep.pep.edit',
                'name'      => 'Update Pep',
            ],
            [
                'slug'      => 'litecms.pep.pep.delete',
                'name'      => 'Delete Pep',
            ],
            
                        [
                'slug'      => 'litecms.pep.pep.verify',
                'name'      => 'Verify Pep',
            ],
            [
                'slug'      => 'litecms.pep.pep.approve',
                'name'      => 'Approve Pep',
            ],
            [
                'slug'      => 'litecms.pep.pep.publish',
                'name'      => 'Publish Pep',
            ],
            [
                'slug'      => 'litecms.pep.pep.unpublish',
                'name'      => 'Unpublish Pep',
            ],
            [
                'slug'      => 'litecms.pep.pep.cancel',
                'name'      => 'Cancel Pep',
            ],
            [
                'slug'      => 'litecms.pep.pep.archive',
                'name'      => 'Archive Pep',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/pep/pep',
                'name'        => 'Pep',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/pep/pep',
                'name'        => 'Pep',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'pep',
                'name'        => 'Pep',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Pep',
                'module'    => 'Pep',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.pep.pep.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
