<?php

namespace Litecms\Pep\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Litecms\Pep\Http\Requests\PepActionsRequest;
use Litecms\Pep\Models\PepActions;

/**
 * Admin web controller class.
 */
class PepActionsController extends BaseController
{

    /**
     * Action controller function for pep.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(PepActionsRequest $request, $action)
    {
        try {
            $pep = PepActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('pep::pep.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('pep/pep/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('pep/pep/' . $action))
                ->redirect();
        }
    }
}
