<?php

namespace Litecms\Pep\Policies;

use Litecms\Pep\Models\Pep;
use Litepie\User\Interfaces\UserPolicyInterface;

trait PepAction
{

    /**
     * Determine if the given user can approve the given pep.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function copy(UserPolicyInterface $authUser, Pep $pep)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('pep.pep.action.copy')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given pep.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    function empty(UserPolicyInterface $authUser, Pep $pep) {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('pep.pep.action.empty')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given pep.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function transfer(UserPolicyInterface $authUser, Pep $pep)
    {
        if ($authUser->is($this->model->owner())) {
            return true;
        }

        if ($authUser->canDo('pep.pep.action.transfer')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given pep.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function delete(UserPolicyInterface $authUser, Pep $pep)
    {


        if ($authUser->canDo('pep.pep.action.delete')) {
            return true;
        }

        return false;
    }


}
