<?php

namespace Litecms\Pep\Policies;

use Litecms\Pep\Models\Pep;
use Litepie\User\Interfaces\UserPolicyInterface;

trait PepWorkflow
{

    /**
     * Determine if the given user can approve the given pep.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function approve(UserPolicyInterface $authUser, Pep $pep)
    {
        if ($authUser->canDo('pep.pep.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given pep.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function submit(UserPolicyInterface $authUser, Pep $pep)
    {
        if ($authUser->canDo('pep.pep.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given pep.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function publish(UserPolicyInterface $authUser, Pep $pep)
    {
        if ($authUser->canDo('pep.pep.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given pep.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function unpublish(UserPolicyInterface $authUser, Pep $pep)
    {
        if ($authUser->canDo('pep.pep.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given pep.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function archive(UserPolicyInterface $authUser, Pep $pep)
    {
        if ($authUser->canDo('pep.pep.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given pep.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function unarchive(UserPolicyInterface $authUser, Pep $pep)
    {
        if ($authUser->canDo('pep.pep.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given pep.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function reject(UserPolicyInterface $authUser, Pep $pep)
    {
        if ($authUser->canDo('pep.pep.reject')) {
            return true;
        }

        return false;
    }

}
